<html>
<head>
<title>OgrePanelOverlayElement.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgrePanelOverlayElement.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgrePanelOverlayElement_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __PanelOverlayElement_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __PanelOverlayElement_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreOverlayContainer_8h.html">OgreOverlayContainer.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 
<a name="l00058"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html">00058</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PanelOverlayElement.html" title="OverlayElement representing a flat, single-material (or transparent) panel which can contain other el...">PanelOverlayElement</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1OverlayContainer.html" title="A 2D element which contains other OverlayElement instances.">OverlayContainer</a>
<a name="l00059"></a>00059     {
<a name="l00060"></a>00060     <span class="keyword">public</span>:
<a name="l00062"></a>00062         <a class="code" href="classOgre_1_1PanelOverlayElement.html" title="OverlayElement representing a flat, single-material (or transparent) panel which can contain other el...">PanelOverlayElement</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00063"></a>00063         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1PanelOverlayElement.html" title="OverlayElement representing a flat, single-material (or transparent) panel which can contain other el...">PanelOverlayElement</a>();
<a name="l00064"></a>00064 
<a name="l00066"></a>00066         <span class="keyword">virtual</span> <span class="keywordtype">void</span> initialise(<span class="keywordtype">void</span>);
<a name="l00067"></a>00067 
<a name="l00074"></a>00074         <span class="keywordtype">void</span> setTiling(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> y, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> layer = 0);
<a name="l00075"></a>00075 
<a name="l00076"></a>00076         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTileX(<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> layer = 0) <span class="keyword">const</span>;
<a name="l00081"></a>00081         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTileY(<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> layer = 0) <span class="keyword">const</span>;
<a name="l00082"></a>00082 
<a name="l00084"></a>00084         <span class="keywordtype">void</span> setUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v2);
<a name="l00085"></a>00085 
<a name="l00087"></a>00087         <span class="keywordtype">void</span> getUV(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a>&amp; u1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a>&amp; v1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a>&amp; u2, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a>&amp; v2) <span class="keyword">const</span>;
<a name="l00088"></a>00088 
<a name="l00092"></a>00092         <span class="keywordtype">void</span> setTransparent(<span class="keywordtype">bool</span> isTransparent);
<a name="l00093"></a>00093 
<a name="l00095"></a>00095         <span class="keywordtype">bool</span> isTransparent(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00096"></a>00096 
<a name="l00098"></a>00098         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getTypeName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00100"></a>00100         <span class="keywordtype">void</span> getRenderOperation(<a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>&amp; op);
<a name="l00102"></a>00102         <span class="keywordtype">void</span> setMaterialName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; matName);
<a name="l00104"></a>00104         <span class="keywordtype">void</span> _updateRenderQueue(<a class="code" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>* queue);
<a name="l00105"></a>00105 
<a name="l00106"></a>00106 
<a name="l00108"></a><a class="code" href="classOgre_1_1PanelOverlayElement_1_1CmdTiling.html">00108</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1PanelOverlayElement_1_1CmdTiling.html" title="Command object for specifying tiling (see ParamCommand).">CmdTiling</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00109"></a>00109         {
<a name="l00110"></a>00110         <span class="keyword">public</span>:
<a name="l00111"></a>00111             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00112"></a>00112             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00113"></a>00113         };
<a name="l00115"></a><a class="code" href="classOgre_1_1PanelOverlayElement_1_1CmdTransparent.html">00115</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1PanelOverlayElement_1_1CmdTransparent.html" title="Command object for specifying transparency (see ParamCommand).">CmdTransparent</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00116"></a>00116         {
<a name="l00117"></a>00117         <span class="keyword">public</span>:
<a name="l00118"></a>00118             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00119"></a>00119             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00120"></a>00120         };
<a name="l00122"></a><a class="code" href="classOgre_1_1PanelOverlayElement_1_1CmdUVCoords.html">00122</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1PanelOverlayElement_1_1CmdUVCoords.html" title="Command object for specifying UV coordinates (see ParamCommand).">CmdUVCoords</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00123"></a>00123         {
<a name="l00124"></a>00124         <span class="keyword">public</span>:
<a name="l00125"></a>00125             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00126"></a>00126             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00127"></a>00127         };
<a name="l00128"></a>00128     <span class="keyword">protected</span>:
<a name="l00129"></a>00129         <span class="comment">// Flag indicating if this panel should be visual or just group things</span>
<a name="l00130"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#a93ca45262d500079ff1867df7076bb83">00130</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1PanelOverlayElement.html#a93ca45262d500079ff1867df7076bb83">mTransparent</a>;
<a name="l00131"></a>00131         <span class="comment">// Texture tiling</span>
<a name="l00132"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#a7d8427d7feb934588a40a6ea1fe5b89d">00132</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mTileX[<a class="code" href="OgreConfig_8h.html#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4" title="Define max number of texture layers allowed per pass on any card.">OGRE_MAX_TEXTURE_LAYERS</a>];
<a name="l00133"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#a3273b22e75d6f879597b63b51fad94ba">00133</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mTileY[<a class="code" href="OgreConfig_8h.html#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4" title="Define max number of texture layers allowed per pass on any card.">OGRE_MAX_TEXTURE_LAYERS</a>];
<a name="l00134"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#ac05a7e046d8daa2cc780e93b4791935d">00134</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PanelOverlayElement.html#ac05a7e046d8daa2cc780e93b4791935d">mNumTexCoordsInBuffer</a>;
<a name="l00135"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#aa0388b3e939ec4d59ccf5f15ba7c72e6">00135</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mU1, mV1, mU2, <a class="code" href="classOgre_1_1PanelOverlayElement.html#aa0388b3e939ec4d59ccf5f15ba7c72e6">mV2</a>;
<a name="l00136"></a>00136 
<a name="l00137"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#a745fdf58a331152281b9fcab05daddd2">00137</a>         <a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> <a class="code" href="classOgre_1_1PanelOverlayElement.html#a745fdf58a331152281b9fcab05daddd2">mRenderOp</a>;
<a name="l00138"></a>00138 
<a name="l00140"></a>00140         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updatePositionGeometry(<span class="keywordtype">void</span>);
<a name="l00141"></a>00141 
<a name="l00143"></a>00143         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updateTextureGeometry(<span class="keywordtype">void</span>);
<a name="l00144"></a>00144 
<a name="l00146"></a>00146         <span class="keywordtype">void</span> addBaseParameters(<span class="keywordtype">void</span>);
<a name="l00147"></a>00147 
<a name="l00148"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#a202e023c051017467b4819650208cbdd">00148</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1PanelOverlayElement.html#a202e023c051017467b4819650208cbdd">msTypeName</a>;
<a name="l00149"></a>00149 
<a name="l00150"></a>00150         <span class="comment">// Command objects</span>
<a name="l00151"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#aa278b828d72fa388d0839c23de4402a1">00151</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1PanelOverlayElement_1_1CmdTiling.html" title="Command object for specifying tiling (see ParamCommand).">CmdTiling</a> <a class="code" href="classOgre_1_1PanelOverlayElement.html#aa278b828d72fa388d0839c23de4402a1">msCmdTiling</a>;
<a name="l00152"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#a86752f60fe469d0157a621bced9c0c6d">00152</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1PanelOverlayElement_1_1CmdTransparent.html" title="Command object for specifying transparency (see ParamCommand).">CmdTransparent</a> <a class="code" href="classOgre_1_1PanelOverlayElement.html#a86752f60fe469d0157a621bced9c0c6d">msCmdTransparent</a>;
<a name="l00153"></a><a class="code" href="classOgre_1_1PanelOverlayElement.html#a7e8657c3d4a35f801fd4725668f37e16">00153</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1PanelOverlayElement_1_1CmdUVCoords.html" title="Command object for specifying UV coordinates (see ParamCommand).">CmdUVCoords</a> <a class="code" href="classOgre_1_1PanelOverlayElement.html#a7e8657c3d4a35f801fd4725668f37e16">msCmdUVCoords</a>;
<a name="l00154"></a>00154 
<a name="l00155"></a>00155     };
<a name="l00159"></a>00159 }
<a name="l00160"></a>00160 
<a name="l00161"></a>00161 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
